$!(change to "YES" to use NETLIB, otherwise it defaults to UCX)
$ DEFINE /SYSTEM HTTPD$USENETLIB "NO"
$ IF F$TRNLNM("HTTPD$USENETLIB") .AND. F$TRNLNM("NETLIB_SHRXFR") .EQS. "" -
     THEN @SYS$STARTUP:NETLIB_STARTUP.COM
$!
$!(it is recommended to provide a physically distinct area for Web documents)
$! DEFINE /SYSTEM /TRANSLATION=CONCEALED WEB DSA811:[WEB.]
$!
$ DEFINE /SYSTEM /TRANSLATION=CONCEALED HT_ROOT DSA811:[HT_ROOT.]
$!
$ SET SECURITY HT_ROOT:[LOG]SERVER.DIR -
  /ACL=((IDENT=HTTP$SERVER,ACCESS=R+W+E, OPTIONS=DEFAULT), -
        (IDENT=HTTP$SERVER,ACCESS=R+W+E), -
        (IDENT=*,ACCESS=NONE, OPTIONS=DEFAULT), -
        (IDENT=*,ACCESS=NONE))
$!
$ SCRIPT_ROOT = F$TRNLNM("HT_ROOT") - ".]" + ".SCRIPT.]"
$ DEFINE /SYSTEM HT_SCRIPT HT_ROOT:[SCRIPT]
$ SCRIPT_LOCAL_ROOT = F$TRNLNM("HT_ROOT") - ".]" + ".SCRIPT_LOCAL.]"
$ DEFINE /SYSTEM HT_SCRIPT_LOCAL HT_ROOT:[SCRIPT_LOCAL]
$ JAVA_ROOT = F$TRNLNM("HT_ROOT") - ".]" + ".JAVA.]"
$ DEFINE /SYSTEM HT_JAVA HT_ROOT:[JAVA]
$ IF F$GETSYI("ARCH_NAME") .EQS. "VAX"
$ THEN
$    EXE_ROOT = F$TRNLNM("HT_ROOT") - ".]" + ".VAX.]"
$    DEFINE /SYSTEM /TRANSLATION=(CONCEALED) HT_EXE_ROOT 'EXE_ROOT'
$    DEFINE /SYSTEM HT_EXE HT_EXE_ROOT:[000000]
$ ELSE
$    EXE_ROOT = F$TRNLNM("HT_ROOT") - ".]" + ".AXP.]"
$    DEFINE /SYSTEM /TRANSLATION=(CONCEALED) HT_EXE_ROOT 'EXE_ROOT'
$    DEFINE /SYSTEM HT_EXE HT_EXE_ROOT:[000000]
$ ENDIF
$ DEFINE /SYSTEM /TRANSLATION=(CONCEALED) -
         CGI-BIN 'EXE_ROOT','SCRIPT_LOCAL_ROOT','SCRIPT_ROOT','JAVA_ROOT'
$ DEFINE /SYSTEM HT_AXP HT_ROOT:[AXP]
$ DEFINE /SYSTEM HT_VAX HT_ROOT:[VAX]
$!
$ DEFINE /SYSTEM HT_AUTH HT_ROOT:[LOCAL]
$ DEFINE /SYSTEM HT_LOCAL HT_ROOT:[LOCAL]
$ DEFINE /SYSTEM HT_LOGS HT_ROOT:[LOG]
$ DEFINE /SYSTEM HT_SERVER_LOGS HT_ROOT:[LOG.SERVER]
$!
$ DEFINE /SYSTEM HTTPD$AUTH HT_ROOT:[LOCAL]HTTPD$AUTH.CONF
$ DEFINE /SYSTEM HTTPD$CONFIG HT_ROOT:[LOCAL]HTTPD$CONFIG.CONF
$ DEFINE /SYSTEM HTTPD$MAP HT_ROOT:[LOCAL]HTTPD$MAP.CONF
$ DEFINE /SYSTEM HTTPD$MSG HT_ROOT:[LOCAL]HTTPD$MSG.CONF
$ DEFINE /SYSTEM HTTPD$GMT "+10:30"
$!
$ INSTALL = "$SYS$SYSTEM:INSTALL/COMMAND_MODE"
$ IF F$TRNLNM("HTTPD$USENETLIB")
$ THEN
$    SET SECURITY HT_EXE:HTTPD_NETLIB.EXE -
     /ACL=((IDENT=HTTP$SERVER,ACCESS=R+E),(IDENT=*,ACCESS=NONE))
$    INSTALL ADD HT_EXE:HTTPD_NETLIB.EXE -
                 /PRIVILEGE=(ALTPRI,SYSPRV,SYSNAM,PRMMBX,PSWAPM)
$ ELSE
$    SET SECURITY HT_EXE:HTTPD.EXE -
     /ACL=((IDENT=HTTP$SERVER,ACCESS=R+E),(IDENT=*,ACCESS=NONE))
$    INSTALL ADD HT_EXE:HTTPD.EXE -
                 /PRIVILEGE=(ALTPRI,SYSPRV,SYSNAM,PRMMBX,PSWAPM)
$ ENDIF
$ SUBMIT /QUEUE=SYS$BATCH /USER=HTTP$SERVER /NOLOG /NOPRINT -
         HT_ROOT:[HTTP$SERVER]HTTPD_BATCH.COM /PARAM="80"
