$!-----------------------------------------------------------------------------
$! BUILD_CGIPLUSDEMO.COM
$! Builds the CGIPLUSDEMO utility for both VAX and AXP systems (separately)
$!
$! 08-JUN-97  MGD  initial development
$!-----------------------------------------------------------------------------
$ WRITE SYS$OUTPUT "Building for ""''F$GETSYI("ARCH_NAME")'"" architecture"
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE /DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "VAX"
$ THEN
$    SET VERIFY
$    IF P1 .NES. "LINK" THEN CC /STANDARD=VAXC /OBJECT='OBJECT_DIR' CGIPLUSDEMO
$    LINK /EXECUTABLE=HT_EXE:CGIPLUSDEMO.EXE -
     'OBJECT_DIR'CGIPLUSDEMO, -
     SYS$INPUT/OPTION
!     SYS$LIBRARY:VAXCRTL.EXE/SHARE
$!   'F$VERIFY(0)
$ ELSE
$    SET VERIFY
$    IF P1 .NES. "LINK" THEN CC /STANDARD=VAXC  /OBJECT='OBJECT_DIR' CGIPLUSDEMO
$    LINK  /EXECUTABLE=HT_EXE:CGIPLUSDEMO.EXE -
     'OBJECT_DIR'CGIPLUSDEMO
$!   'F$VERIFY(0)
$ ENDIF
$ PURGE /NOLOG 'OBJECT_DIR'
$ SET PROTECTION=W:RE HT_EXE:CGIPLUSDEMO.EXE
$!-----------------------------------------------------------------------------
