$! SET VERIFY
$ SET NOCONTROL=Y
$ SET NOON
$ NODENAME = F$GETSYI("NODENAME")
$ PORT = 80
$!
$! (only needed if multiple servers different within the one system/cluster)
$! DEFINE /JOB HTTPD$AUTH HTTPD$AUTH'PORT'
$! DEFINE /JOB HTTPD$CONFIG HTTPD$CONFIG'PORT'
$! DEFINE /JOB HTTPD$MAP HTTPD$MAP'PORT'
$! DEFINE /JOB HTTPD$MSG HTTPD$MSG'PORT'
$!
$ DEFINE /PROCESS HTTPD$LOG "HT_LOGS:''NODENAME'_''PORT'_ACCESS.LOG"
$!
$ IF F$TRNLNM("HTTPD$USENETLIB")
$    THEN HTTPD = "$HT_EXE:HTTPD_NETLIB"
$    ELSE HTTPD = "$HT_EXE:HTTPD"
$ ENDIF
$!
$ ERROR_COUNT = 0
$ HTTPD_LOOP:
$    WRITE SYS$OUTPUT F$TIME()
$    HTTPD /PRIORITY=6 /PORT='PORT'
$!   (non-error exit, must be a restart, loop immediately)
$    IF $STATUS THEN GOTO HTTPD_LOOP
$!   (error exit, gradually extend the period before restarting the server)
$    ERROR_COUNT = ERROR_COUNT + 1
$    WAIT_HH = ERROR_COUNT / 3600
$    WAIT_MM = (ERROR_COUNT - (WAIT_HH * 3600)) / 60
$    WAIT_SS = ERROR_COUNT - (WAIT_HH * 3600) - (WAIT_MM * 60)
$    WAIT 00:'WAIT_MM':'WAIT_SS'
$    GOTO HTTPD_LOOP
$!END_HTTPD_LOOP:
$!
$ STOP/ID=0
